Name:           perl-MooseX-Types-Structured
Version:        0.35
Release:        3%{?dist}
Summary:        Structured Type Constraints for Moose
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/MooseX-Types-Structured/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/MooseX-Types-Structured-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module::Build::Tiny)
# Run-time
BuildRequires:  perl(Devel::PartialDump) >= 0.13
BuildRequires:  perl(Moose::Meta::TypeCoercion)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires:  perl(Moose::Util::TypeConstraints) >= 1.06
BuildRequires:  perl(MooseX::Types) >= 0.22
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Exporter) >= 0.982
# Tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Moose) >= 1.08
BuildRequires:  perl(MooseX::Types::DateTime)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Sub::Exporter::ForMethods)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Devel::PartialDump) >= 0.13
Requires:       perl(Moose) >= 1.08
Requires:       perl(Moose::Meta::TypeCoercion)
Requires:       perl(Moose::Meta::TypeConstraint)
Requires:       perl(Moose::Meta::TypeConstraint::Parameterizable)
# hidden from PAUSE, but need to be available
Provides:       perl(MooseX::Meta::TypeCoercion::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeCoercion::Structured::Optional) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured::Optional) = %{version}
Provides:       perl(MooseX::Types::Structured::MessageStack) = %{version}
Provides:       perl(MooseX::Types::Structured::OverflowHandler) = %{version}


%{?perl_default_filter}
# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::PartialDump\\)
%global __requires_exclude %{__requires_exclude}|^perl\\((Moose|Moose::Util::TypeConstraints)\\)$

%description
A structured type constraint is a standard container Moose type constraint,
such as an ArrayRef or HashRef, which has been enhanced to allow you to
explicitly name all the allowed type constraints inside the structure.

%prep
%setup -q -n MooseX-Types-Structured-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/MooseX*
%{_mandir}/man3/MooseX*

%changelog
* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.35-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 28 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.35-1
- Update to 0.35

* Sat Aug 22 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.34-1
- Update to 0.34
- Switch to the Module::Build::Tiny workflow

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-2
- Perl 5.22 rebuild

* Sun Apr 12 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.33-1
- Update to 0.33

* Sun Mar 29 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.32-1
- Update to 0.32

* Thu Nov 13 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.30-1
- Update to 0.30
- Add %%license tag
- Tighten file listing

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-9
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.28-7
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.28-3
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 05 2011 Iain Arnell <iarnell@gmail.com> 0.28-1
- update to latest upstream version

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.27-2
- Perl mass rebuild

* Wed May 04 2011 Iain Arnell <iarnell@gmail.com> 0.27-1
- update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Iain Arnell <iarnell@gmail.com> 0.26-2
- additional provides for packages hidden from PAUSE

* Sun Jan 16 2011 Iain Arnell <iarnell@gmail.com> 0.26-1
- update to latest upstream version

* Mon Jan 03 2011 Iain Arnell <iarnell@gmail.com> 0.25-1
- update to latest upstream version

* Sat Nov 20 2010 Iain Arnell <iarnell@gmail.com> 0.24-1
- update to latest upstream version

* Sat Jul 17 2010 Iain Arnell <iarnell@gmail.com> 0.23-2
- cleanup spec for modern rpmbuild
- remove unnecessary explicit requires
- provides MooseX::Meta::TypeCoercion::Structured and
  MooseX::Meta::TypeConstraint::Structured

* Sat Jul 03 2010 Iain Arnell <iarnell@gmail.com> 0.23-1
- Specfile autogenerated by cpanspec 1.78.
